<?php
#
# HLstatsX - Real-time player and clan rankings and statistics for Half-Life 2
# http://www.hlstatsx.com/
# Copyright (C) 2005-2007 Tobias Oetzel (Tobi@hlstatsx.com)
#
# HlstatsX is an enhanced version of HLstats made by Simon Garner
# HLstats - Real-time player and clan rankings and statistics for Half-Life
# http://sourceforge.net/projects/hlstats/
# Copyright (C) 2001  Simon Garner
#             
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
?>

<?php
   $game="css";  
   if ((isset($_GET['game'])) && (is_string($_GET['game'])))
    $game = valid_request($_GET['game'], 0);


   $server_id = 1;
   if ((isset($_GET['server_id'])) && (is_numeric($_GET['server_id'])))
    $server_id = valid_request($_GET['server_id'], 1);
   

    $query= "
			SELECT
				count(*)
			FROM
				hlstats_Players
      WHERE 
        game='$game'
		";
		$result = $db->query($query);
		list($total_players) = $db->fetch_row($result);

    $query= "
			SELECT
				SUM(kills),
				SUM(headshots),
				count(serverId)		
			FROM
				hlstats_Servers
      WHERE 
        game='$game'
		";
		$result = $db->query($query);
		list($total_kills, $total_headshots, $total_servers) = $db->fetch_row($result);


?>

<table width="100%" align="center" border=0 cellspacing=0 cellpadding=0>

<tr>
	<td>
		
    <table width="100%" align="center" border=0 cellspacing=1 cellpadding=3 bgcolor="<?php echo $g_options["table_border"]; ?>">
    <tr bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>"><td width="100%" align="left" style="color:white"><font color="<?php echo $g_options["table_head_text"]; ?>"><?php
				if ($total_kills>0)
				  $hpk = sprintf("%.2f", ($total_headshots/$total_kills)*100);
				else  
				  $hpk = sprintf("%.2f", 0);
     		echo $g_options["font_small"];
				echo "Tracking <b>".number_format($total_players)."</b> players with <b>".number_format($total_kills)."</b> kills and <b>".number_format($total_headshots)."</b> headshots (<b>$hpk%</b>) on <b>$total_servers</b> servers";  
	      echo $g_options["fontend_small"]; ?></font></td>
		</tr>	
    </table>
    <table width="100%" align="center" border=0 cellspacing=0 cellpadding=0 bgcolor="<?php echo $g_options["table_border"]; ?>" style="border-bottom:1px solid <?php echo $g_options["table_border"]; ?>;border-left:1px solid <?php echo $g_options["table_border"]; ?>;border-right:1px solid <?php echo $g_options["table_border"]; ?>;">
        <tr bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>">
          <td align="center" style="padding:0px;background:<?php echo $g_options["table_head_bgcolor"]; ?>;">
           <img src="show_graph.php?width=630&amp;type=1&amp;bgcolor=<?php echo substr($g_options["table_head_bgcolor"], 1); ?>&amp;color=<?php echo substr($g_options["table_head_text"], 1); ?>" />
          </td>
        </tr>
    </table>
   </td>
</tr>
   
</table>
